Add to cart
curl --request PUT \
--url https://api.wavix.com/v1/buy/cart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"541139862174",
"541139862175"
]
}
'import requests
url = "https://api.wavix.com/v1/buy/cart"
payload = { "ids": ["541139862174", "541139862175"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['541139862174', '541139862175']})
};
fetch('https://api.wavix.com/v1/buy/cart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"activation_fee": "15.0",
"channels": "4",
"city": "Buenos Aires",
"cnam": false,
"country": "Argentina",
"country_short_name": "AR",
"domestic_cli": false,
"free_min": 0,
"id": 541139862174,
"monthly_fee": "10.0",
"number": "541139862174",
"per_min": "0.01",
"require_docs": [],
"sms_enabled": false,
"sms_price": 0
}
]{
"success": false,
"message": "Missing or invalid parameter <param_name>"
}{
"success": false,
"message": "The service is not provisioned for your account."
}{
"success": false,
"message": "Record not found"
}Cart
Add to cart
Adds the listed phone numbers to the purchase cart.
PUT
/
v1
/
buy
/
cart
Add to cart
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Body
application/json
Phone numbers to add to the cart.
Phone numbers to add to the cart.
Example:
["541139862174", "541139862175"]
Response
Returns the phone numbers now in the cart.
Example:
[ { "activation_fee": "15.0", "channels": "4", "city": "Buenos Aires", "cnam": false, "country": "Argentina", "country_short_name": "AR", "domestic_cli": false, "free_min": 0, "id": 541139862174, "monthly_fee": "10.0", "number": "541139862174", "per_min": "0.01", "require_docs": [], "sms_enabled": false, "sms_price": 0 } ]
Was this page helpful?
⌘I